| Bsoft 2.0.5 Bernard's software package

Functions | Variables
bdif.cpp File Reference

Analyze diffraction patterns. More...

`#include "rwimg.h"`
`#include "utilities.h"`
`#include "options.h"`
`#include "timer.h"`

Go to the source code of this file.

## Functions
int | main (int argc, char *argv[])

## Variables
int | verbose
const char * | use []

## Detailed Description

Analyze diffraction patterns.

Author
  Bernard Heymann

Date
  Created: 20050217
  Modified: 20160403

Definition in file bdif.cpp.

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Definition at line 38 of file bdif.cpp.

## Variable Documentation

## ◆ use

const char* use[]

Initial value:
= {
" ",
"Usage: bdif [options] [input.img] output.img",
"--------------------------------------------",
"Analyzes diffraction patterns.",
" ",
"Actions:",
"-findorigin Find the origin of the diffraction pattern.",
" ",
"Parameters:",
"-verbose 7 Verbosity of output.",
"-datatype u Force writing of a new data type.",
"-origin 60.4,-32.2,44 Origin of image (voxels).",
"-sampling 1.5,1.5,1.5 Sampling (A/pixel; a single value can be given).",
"-resolution 4.5,130 Resolution range for correlation (default 0 - 1e6 angstrom).",
"-angle 36.8 Angle for directional averages (default 0).",
" ",
NULL
}

Definition at line 18 of file bdif.cpp.

## ◆ verbose

int verbose